//______________________________________________________________________________________________________
// Projekt:				Vizualizacia a analyza chodze cloveka
//						Timovy projekt 2004/5 - tim 4F (Four Fit Feet of FIIT)
//						FIIT STU, Bratislava
//------------------------------------------------------------------------------------------------------
// Subor:				FrameDlg.h
// Ucel suboru:			deklaracia triedy CFrameDlg
// Datum vytvorenia:	5.4.2005
// Vytvoril:			Peter Argalas
// Naposledy zmenil:	Lucenic / 5.5.2005
//______________________________________________________________________________________________________

#pragma once

#include "Frame.h"


class CFrameDlg : public CDialog
{
	DECLARE_DYNAMIC(CFrameDlg)

public:
	CFrameDlg(CWnd* pParent = NULL);
	virtual ~CFrameDlg();

	enum { IDD = IDD_FRAME_WND };
	CFrame*	m_pFrame;
	int		m_nMouseX;
	int		m_nMouseY;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* /*pWnd*/, CPoint /*point*/);
	afx_msg void OnLeftPelvis();
	afx_msg void OnLeftFemur();
	afx_msg void OnLeftLower();
	afx_msg void OnLeftFoot();
	afx_msg void OnLeftTalus();
	afx_msg void OnLeftToe();
	afx_msg void OnNotAssigned();
};
