//______________________________________________________________________________________________________
// Projekt:				Vizualizacia a analyza chodze cloveka
//						Timovy projekt 2004/5 - tim 4F (Four Fit Feet of FIIT)
//						FIIT STU, Bratislava
//------------------------------------------------------------------------------------------------------
// Subor:				ViditelnostDlg.h
// Ucel suboru:			deklaracia triedy CViditelnostDlg - dialogove okno, v ktorom pouzivatel zadava
//						klby a UR, ktore chce, aby aplikacia vykreslovala v grafe
// Datum vytvorenia:	5.4.2005
// Vytvoril:			Martin Soltis
// Naposledy zmenil:	Lucenic / 5.5.2005
// Poznamka:			UR = uhlova rychlost
//______________________________________________________________________________________________________


#pragma once

#include "Graf.h"
#include "afxwin.h"


#define SUBOR_VIDITELNOSTI		_T("c:\\viditelnost.txt")


class CViditelnostDlg : public CDialog
{
	DECLARE_DYNAMIC(CViditelnostDlg)
	
	// ukazovatel na prvy (horny) graf aplikacie
	CGraf*	m_pGraf1;
	// ukazovatel na druhy (dolny) graf aplikacie
	CGraf*	m_pGraf2;

	// ukazovatele na checkboxy budu vlozene do pola,
	// aby sa s checkboxami lahsie pracovalo
	CButton*	m_pCheckboxy[2*(POCET_UDAJOV)];
public:
	CViditelnostDlg(CWnd* pParent = NULL);
	virtual ~CViditelnostDlg();

// Dialog Data
	enum { IDD = IDD_VIDITELNOST };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CViditelnostDlg(CGraf* pGraf1, CGraf* pGraf2);
	virtual BOOL OnInitDialog();

	// pri zavreti okna treba ulozit nastavenie viditelnosti
	afx_msg void OnBnClickedOk();
	void UlozViditelnostiDoGrafov();

	CButton m_ch0;
	CButton m_ch1;
	CButton m_ch2;
	CButton m_ch3;
	CButton m_ch4;
	CButton m_ch5;
	CButton m_ch6;
	CButton m_ch7;
	CButton m_ch8;
	CButton m_ch9;
	CButton m_ch10;
	CButton m_ch11;
	CButton m_ch12;
	CButton m_ch13;
	CButton m_ch14;
	CButton m_ch15;
	CButton m_ch16;
	CButton m_ch17;
	CButton m_ch18;
	CButton m_ch19;
	CButton m_ch20;
	CButton m_ch21;
	CButton m_ch22;
	CButton m_ch23;
	CButton m_ch24;
	CButton m_ch25;
	CButton m_ch26;
	CButton m_ch27;
};
