//______________________________________________________________________________________________________
// Projekt:				Vizualizacia a analyza chodze cloveka
//						Timovy projekt 2004/5 - tim 4F (Four Fit Feet of FIIT)
//						FIIT STU, Bratislava
//------------------------------------------------------------------------------------------------------
// Subor:				AVIStream2BMP.h
// Ucel suboru:			deklaracia triedy CAVIStream2BMP
// Datum vytvorenia:	5.4.2005
// Vytvoril:			Peter Argalas
// Naposledy zmenil:	Lucenic / 20.4.2005
// Poznamka:			Extrakcia AVI do bitmap.
//						Autor: Juraj Hajek, 2000/2001
//______________________________________________________________________________________________________


#if !defined(AFX_AVISTREAM2BMP_H__CEDF3CA1_2857_11D5_947E_00A024BEAD23__INCLUDED_)
#define AFX_AVISTREAM2BMP_H__CEDF3CA1_2857_11D5_947E_00A024BEAD23__INCLUDED_

#include <vfw.h>
#include "AVIExtractor.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CAvi2Bmp : public CAviExtractor 
{
protected:
	// prekryjeme metodu, ktora zapisuje snimok do suboru
	virtual HRESULT WriteFrame(LONG nPos, LPBITMAPINFO lpBI, LPVOID lpData, LONG nLength);
public:
    CAvi2Bmp();
    CAvi2Bmp(CString &strVideoFilename);
	
    virtual ~CAvi2Bmp();

};

#endif // !defined(AFX_AVISTREAM2BMP_H__CEDF3CA1_2857_11D5_947E_00A024BEAD23__INCLUDED_)
